{% extends "dashboard.blank.html" %}
{% block dashboard_content %}
<div class="container">
    <div class="col-fluid">
        <h1 class="h3 mb-4 text-gray-800">Transmissões</h1>
        <div class="col-fluid">
            <div class="card shadow mb-4">
                <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                    <h6 class="m-0 font-weight-bold text-primary">Transmissões</h6>
                    <div class="no-arrow">
                        <a href="{{ url_for('event.new') }}" class="btn btn-primary btn-icon-split btn-sm">
                            <span class="icon text-white-50">
                                <i class="fas fa-plus"></i>
                            </span>
                            <span class="text">Nova Transmissão</span>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    <table class="table table-sm">
                        <thead>
                            <tr>
                                <th scope="col">Título</th>
                                <th scope="col">Criado</th>
                                <th scope="col">Agendado</th>
                                <th scope="col"></th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for e in events %}
                            <tr>
                                <td>
                                    <div class="media">
                                        <div class="media-body small">
                                            <div class="d-flex justify-content-between align-items-center w-100">
                                                <strong class="text-gray-dark">
                                                    <a href="{{ url_for('event.detail', event_id=e.id) }}">
                                                        {{ e.title }}
                                                    </a>
                                                    {% if e.ended_at %}
                                                    <span class="badge badge-pill badge-secondary">encerrado</span>
                                                    {% endif %}
                                                </strong>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <span
                                        class="d-block text-muted small">{{ e.created_at.strftime("%d %B %Y %I:%M%p") }}</span>
                                </td>
                                <td>
                                    {% if e.start_at %}
                                    <span
                                        class="d-block text-muted small">{{ e.start_at.strftime("%d %B %Y %I:%M%p") }}</span>
                                    {% else %}
                                    <span class="d-block text-muted small">---</span>
                                    {% endif %}
                                </td>
                                <td>
                                    <div class="dropdown no-arrow">
                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                        </a>
                                        <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                            aria-labelledby="dropdownMenuLink" style="">
                                            <div class="dropdown-header">Opções</div>
                                            <a class="dropdown-item" href="#">
                                                <i class="fas fa-trash fa-sm fa-fw" style="color: Red;"></i>
                                                Remover
                                            </a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

</div>
<link href="https://unpkg.com/video.js/dist/video-js.css" rel="stylesheet">
<script src="https://unpkg.com/video.js/dist/video.js"></script>
{% endblock %}